<?php
App::uses('SiteManager', 'BuzzSites.Lib');
App::uses('Component', 'Controller');

class SitesComponent extends Component {

	protected $_controller;

	public function initialize(Controller $controller) {
		parent::initialize($controller);
		$this->_controller = $controller;
		$this->loadSites();
	}

	public function loadSites() {
		$this->_controller->loadModel('BuzzSites.Site');

		$sites = $this->_controller->Site->getAll();
		$sitesList = $this->_controller->Site->getList($sites);
		$defaultSite = $this->_controller->Site->getDefaultSite($sites);

		$this->_controller->sites = $sites;
		$this->_controller->sitesList = $sitesList;
		$this->_controller->defaultSite = $defaultSite;
	}
}
